Name:		pbzip2
Version:	1.1.13
Release:	1
Summary:	Parallel implementation of bzip2
URL:		http://www.compression.ca/pbzip2/
License:	BSD
Group:		Applications/File
Source0:	https://launchpad.net/pbzip2/1.1/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		%{name}-Makefile-aix.patch
Patch1:         %{name}-enable-macros-aix.patch
Patch2:         %{name}-literal-warnings.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	bzip2-devel >= 1.0.6

Requires:	bzip2 >= 1.0.6-3
Requires:       libgcc >= 6.3.0
Requires:       libstdc++ >= 6.3.0

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines.  The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be 
decompressed with bzip2).


%prep
%setup -q
%patch0
%patch1
%patch2


%build
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X64 ${RPM_BUILD_ROOT}%{_bindir}/%{name}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Feb 18 2019 Ayappan P <ayappap2@in.ibm.com> - 1.1.13-1
* First release for AIX Toolbox
